## ros-indigo-oculus-sdk 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(OculusSDK)

add_subdirectory(LibOVR)
#add_subdirectory(Samples/OculusWorldDemo)

install(FILES package.xml DESTINATION share/oculus_sdk)

=== Makefile ===
#############################################################################
#
# Filename    : Makefile
# Content     : Makefile for building linux libovr and OculusWorldDemo
# Created     : 2013
# Authors     : Simon Hallam and Peter Giokaris
# Copyright   : Copyright 2013 OculusVR, Inc. All Rights Reserved
# Instruction : The g++ compiler and stdndard lib packages need to be 
#               installed on the system.  Navigate in a shell to the 
#               directory where this Makefile is located and enter:
#
#               make                builds the release versions for the 
#                                   current architechture
#               make clean          delete intermediate release object files 
#                                   and library and executable
#               make DEBUG=1        builds the debug version for the current
#                                   architechture
#               make clean DEBUG=1  deletes intermediate debug object files 
#                                   and the library and executable
#
# Output      : Relative to the directory this Makefile lives in, libraries
#               and executables are built at the following locations 
#               depending upon the architechture of the system you are 
#               running:
#
#           ./LibOVR/Lib/Linux/Debug/i386/libovr.a
#           ./LibOVR/Lib/Linux/Debug/x86_64/libovr.a
#           ./LibOVR/Lib/Linux/Release/i386/libovr.a
#           ./LibOVR/Lib/Linux/Release/x86_64/libovr.a
#           ./Samples/OculusWorldDemo/Release/OculusWorldDemo_i386_Release
#           ./Samples/OculusWorldDemo/Release/OculusWorldDemo_x86_64_Release
#           ./Samples/OculusWorldDemo/Release/OculusWorldDemo_i386_Debug
#           ./Samples/OculusWorldDemo/Release/OculusWorldDemo_x86_64_Debug
#
#############################################################################

DEBUG=0

####### Detect system architecture

SYSARCH       = i386
ifeq ($(shell uname -m),x86_64)
SYSARCH       = x86_64
endif

####### Detect debug or release

ifeq ($(DEBUG), 1)
	RELEASETYPE   = Debug
else
	RELEASETYPE   = Release
endif

####### Paths

CUSTOM_PATH   = $(RELEASETYPE)/$(SYSARCH)

####### Paths

LIBOVRPATH    = ./LibOVR
DEMOPATH      = ./Samples/OculusWorldDemo

####### Files

LIBOVRTARGET  = $(LIBOVRPATH)/Lib/Linux/$(CUSTOM_PATH)/libovr.a
DEMOTARGET    = $(DEMOPATH)/Release/OculusWorldDemo_$(SYSARCH)_$(RELEASETYPE)

####### Rules

all:    $(LIBOVRTARGET) $(DEMOTARGET)

$(DEMOTARGET): $(DEMOPATH)/Makefile
	$(MAKE) -C $(DEMOPATH) 

$(LIBOVRTARGET): $(LIBOVRPATH)/Projects/Linux/Makefile
	$(MAKE) -C $(LIBOVRPATH)/Projects/Linux

clean:
	$(MAKE) -C $(LIBOVRPATH)/Projects/Linux clean 
	$(MAKE) -C $(DEMOPATH) clean

=== LibOVR/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(OculusSDK)

set(OculusSDK_MAJOR_VERSION 0)
set(OculusSDK_MINOR_VERSION 2)
set(OculusSDK_PATCH_VERSION 3)
set(OculusSDK_VERSION
  ${OculusSDK_MAJOR_VERSION}.${OculusSDK_MINOR_VERSION}.${OculusSDK_PATCH_VERSION})


set(INSTALL_LIB_DIR lib CACHE PATH "Installation directory for libraries")
set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")
set(INSTALL_INCLUDE_DIR include CACHE PATH
  "Installation directory for header files")


if(WIN32 AND NOT CYGWIN)
  set(DEF_INSTALL_CMAKE_DIR CMake)
else()
  set(DEF_INSTALL_CMAKE_DIR lib/cmake/OculusSDK)
endif()
set(INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH
  "Installation directory for CMake files")


include_directories(Include)

if(APPLE)
  set(PLATFORM_SOURCE_FILES
    Src/OVR_OSX_DeviceManager.cpp
    Src/OVR_OSX_HIDDevice.cpp
    Src/OVR_OSX_HMDDevice.cpp
    Src/OVR_OSX_SensorDevice.cpp
  )

  set(PLATFORM_HEADER_FILES
    Src/OVR_OSX_HIDDevice.h
    Src/OVR_OSX_DeviceManager.h
    Src/OVR_OSX_HMDDevice.h
  )

  find_library(COCOA_LIBRARY Cocoa)
  find_library(IOKIT_LIBRARY IOKit)
  set(EXTRA_LIBS ${COCOA_LIBRARY} ${IOKIT_LIBRARY})

elseif(UNIX)
  set(PLATFORM_SOURCE_FILES
    Src/OVR_Linux_DeviceManager.cpp
    Src/OVR_Linux_HIDDevice.cpp
    Src/OVR_Linux_HMDDevice.cpp
    Src/OVR_Linux_SensorDevice.cpp
  )

  set(PLATFORM_HEADER_FILES
    Src/OVR_Linux_HIDDevice.h
    Src/OVR_Linux_DeviceManager.h
    Src/OVR_Linux_HMDDevice.h
  )

  set(EXTRA_LIBS
    udev
    pthread
    GL
    X11
    Xinerama
  )
endif()

set(SOURCE_FILES
  Src/OVR_DeviceHandle.cpp
  Src/OVR_DeviceImpl.cpp
  Src/OVR_JSON.cpp
  Src/OVR_LatencyTestImpl.cpp
  Src/OVR_Profile.cpp
  Src/OVR_SensorFilter.cpp
  Src/OVR_SensorFusion.cpp
  Src/OVR_SensorImpl.cpp
  Src/OVR_ThreadCommandQueue.cpp
  Src/Util/Util_LatencyTest.cpp
  Src/Util/Util_MagCalibration.cpp
  Src/Util/Util_Render_Stereo.cpp
  Src/Kernel/OVR_Alg.cpp
  Src/Kernel/OVR_Allocator.cpp
  Src/Kernel/OVR_Atomic.cpp
  Src/Kernel/OVR_File.cpp
  Src/Kernel/OVR_FileFILE.cpp
  Src/Kernel/OVR_Log.cpp
  Src/Kernel/OVR_Math.cpp
  Src/Kernel/OVR_RefCount.cpp
  Src/Kernel/OVR_Std.cpp
  Src/Kernel/OVR_String.cpp
  Src/Kernel/OVR_String_FormatUtil.cpp
  Src/Kernel/OVR_String_PathUtil.cpp
  Src/Kernel/OVR_SysFile.cpp
  Src/Kernel/OVR_System.cpp
  Src/Kernel/OVR_ThreadsPthread.cpp
  Src/Kernel/OVR_Timer.cpp
  Src/Kernel/OVR_UTF8Util.cpp
  ${PLATFORM_SOURCE_FILES}
)

add_library(ovr SHARED ${SOURCE_FILES})

target_link_libraries(ovr ${EXTRA_LIBS})

set(INCLUDE_HEADER_FILES
  Include/OVR.h
  Include/OVRVersion.h
)

set(SRC_HEADER_FILES
  Src/OVR_SensorFilter.h
  Src/OVR_Win32_DeviceManager.h
  Src/OVR_Win32_HIDDevice.h
  Src/OVR_OSX_HMDDevice.h
  Src/OVR_Win32_HMDDevice.h
  Src/OVR_DeviceConstants.h
  Src/OVR_Profile.h
  Src/OVR_OSX_HIDDevice.h
  Src/OVR_OSX_DeviceManager.h
  Src/OVR_DeviceHandle.h
  Src/OVR_HIDDevice.h
  Src/OVR_Win32_DeviceStatus.h
  Src/OVR_HIDDeviceBase.h
  Src/OVR_JSON.h
  Src/OVR_DeviceImpl.h
  Src/OVR_HIDDeviceImpl.h
  Src/OVR_Win32_SensorDevice.h
  Src/OVR_Device.h
  Src/OVR_SensorFusion.h
  Src/OVR_ThreadCommandQueue.h
  Src/OVR_LatencyTestImpl.h
  Src/OVR_SensorImpl.h
  Src/OVR_DeviceMessages.h
  ${PLATFORM_HEADER_FILES}
)
set(KERNEL_HEADER_FILES
  Src/Kernel/OVR_Threads.h
  Src/Kernel/OVR_Types.h
  Src/Kernel/OVR_System.h
  Src/Kernel/OVR_RefCount.h
  Src/Kernel/OVR_Array.h
  Src/Kernel/OVR_StringHash.h
  Src/Kernel/OVR_Color.h
  Src/Kernel/OVR_Hash.h
  Src/Kernel/OVR_Std.h
  Src/Kernel/OVR_File.h
  Src/Kernel/OVR_Atomic.h
  Src/Kernel/OVR_String.h
  Src/Kernel/OVR_Math.h
  Src/Kernel/OVR_UTF8Util.h
  Src/Kernel/OVR_ContainerAllocator.h
  Src/Kernel/OVR_KeyCodes.h
  Src/Kernel/OVR_Timer.h
  Src/Kernel/OVR_Allocator.h
  Src/Kernel/OVR_List.h
  Src/Kernel/OVR_Alg.h
  Src/Kernel/OVR_SysFile.h
  Src/Kernel/OVR_Log.h
)
set(UTIL_HEADER_FILES
  Src/Util/Util_Render_Stereo.h
  Src/Util/Util_MagCalibration.h
  Src/Util/Util_LatencyTest.h
  )



# Needed if not shared on amd64
#SET_TARGET_PROPERTIES(ovr PROPERTIES COMPILE_FLAGS "-fPIC")

INSTALL(FILES ${INCLUDE_HEADER_FILES}
  DESTINATION include/OculusSDK/Include
)
INSTALL(FILES ${SRC_HEADER_FILES}
  DESTINATION include/OculusSDK/Src
)

INSTALL(FILES ${KERNEL_HEADER_FILES}
  DESTINATION include/OculusSDK/Src/Kernel
)
INSTALL(FILES ${UTIL_HEADER_FILES}
  DESTINATION include/OculusSDK/Src/Util
)

INSTALL(TARGETS ovr
  RUNTIME DESTINATION ${INSTALL_BIN_DIR}
  LIBRARY DESTINATION ${INSTALL_LIB_DIR}
  ARCHIVE DESTINATION ${INSTALL_LIB_DIR}
)

if (NOT APPLE)
  option(INSTALL_UDEV_RULES "Install udev rules for Oculus Rift" ON)
  IF (INSTALL_UDEV_RULES)
    INSTALL (
      FILES 90-oculus-hydro.rules
      DESTINATION "/etc/udev/rules.d"
      COMPONENT "udev"
      )
  else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
  endif (INSTALL_UDEV_RULES)
endif()



file(RELATIVE_PATH REL_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/${INSTALL_CMAKE_DIR}" "${CMAKE_INSTALL_PREFIX}/${INSTALL_INCLUDE_DIR}")
# ... for the build tree
set(CONF_INCLUDE_DIRS "${PROJECT_SOURCE_DIR}" "${PROJECT_BINARY_DIR}")
set(CONF_LIBRARY_DIRS "${PROJECT_BINARY_DIR}")
configure_file(OculusSDKConfig.cmake.in
  "${PROJECT_BINARY_DIR}/OculusSDKConfig.cmake" @ONLY)
# ... for the install tree
set(CONF_INCLUDE_DIRS "\${OculusSDK_CMAKE_DIR}/${REL_INCLUDE_DIR}")
set(CONF_LIBRARY_DIRS "${CMAKE_INSTALL_PREFIX}/${INSTALL_LIB_DIR}")
configure_file(OculusSDKConfig.cmake.in
  "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/OculusSDKConfig.cmake" @ONLY)
# ... for both
configure_file(OculusSDKConfigVersion.cmake.in
  "${PROJECT_BINARY_DIR}/OculusSDKConfigVersion.cmake" @ONLY)
 
# Install the OculusSDKConfig.cmake and OculusSDKConfigVersion.cmake
install(FILES
  "${PROJECT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/OculusSDKConfig.cmake"
  "${PROJECT_BINARY_DIR}/OculusSDKConfigVersion.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}" COMPONENT dev)

=== Samples/OculusWorldDemo/CMakeLists.txt ===


INCLUDE_DIRECTORIES(../../LibOVR/Include ../../LibOVR/Src)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_WEBKIT -DGL_GLEXT_PROTOTYPES")

if (APPLE)
  set(PLATFORM_SOURCE_FILES
    ../../Samples/CommonSrc/Platform/OSX_Platform.mm
    ../../Samples/CommonSrc/Platform/OSX_Gamepad.cpp
  )

  find_library(OPENGL_LIBRARY OpenGL)
  set(EXTRA_LIBS ovr tinyxml2_embedded ${OPENGL_LIBRARY})
elseif (UNIX)
  set(PLATFORM_SOURCE_FILES
    ../../Samples/CommonSrc/Platform/Linux_Platform.cpp
    ../../Samples/CommonSrc/Platform/Linux_Gamepad.cpp
  )

  set(EXTRA_LIBS ovr tinyxml2_embedded udev pthread GL X11 Xinerama)
endif()

SET(SOURCE_FILES
  Player.cpp
  ../../Samples/CommonSrc/Platform/Platform.cpp
  ../../Samples/CommonSrc/Render/Render_Device.cpp
  ../../Samples/CommonSrc/Render/Render_GL_Device.cpp
  ../../Samples/CommonSrc/Render/Render_LoadTextureDDS.cpp
  ../../Samples/CommonSrc/Render/Render_LoadTextureTGA.cpp
  ../../Samples/CommonSrc/Render/Render_XmlSceneLoader.cpp
  ${PLATFORM_SOURCE_FILES}
  )


add_library(OculusWorld SHARED
  ${SOURCE_FILES}
  )
target_link_libraries(OculusWorld ${EXTRA_LIBS})


add_library(tinyxml2_embedded ../../3rdParty/TinyXml/tinyxml2.cpp)

add_executable(OculusWorldDemo OculusWorldDemo.cpp)
target_link_libraries(OculusWorldDemo OculusWorld ${EXTRA_LIBS})



#add_custom_command(
#  OUTPUT Assets.zip
#  COMMAND wget http://tarball_of_assets.zip -o Assets.zip
#)

#add_custom_command(
#  OUTPUT Assets
#  COMMAND unzip -j -d Assets Assets.zip OculusSDKAssets-linux-0.2.3/Tuscany/*
#  DEPENDS Assets.zip
#  COMMENT "Unpacking Assets for Demo"
#)

#add_custom_target( assets
#  DEPENDS Assets.zip
#)

=== Samples/OculusWorldDemo/Makefile ===
#############################################################################
#
# Filename    : Makefile
# Content     : Makefile for building linux OculusWorldDemo
# Created     : 2013
# Authors     : Simon Hallam and Peter Giokaris
# Copyright   : Copyright 2013 OculusVR, Inc. All Rights Reserved
# Instruction : The g++ compiler and stdndard lib packages need to be 
#               installed on the system.  Navigate in a shell to the 
#               directory where this Makefile is located and enter:
#
#               make                builds the release version for the 
#                                   current architechture
#               make clean          delete intermediate release object files 
#                                   and the executabe file
#               make DEBUG=1        builds the debug version for the current
#                                   architechture
#               make clean DEBUG=1  deletes intermediate debug object files 
#                                   and the executable file
#
# Output      : Relative to the directory this Makefile lives in, executable
#               files get built at the following locations depending upon the
#               architechture of the system you are running:
#
#               ./Release/OculusWorldDemo_i386_Release
#               ./Release/OculusWorldDemo_x86_64_Release
#               ./Release/OculusWorldDemo_i386_Debug
#               ./Release/OculusWorldDemo_x86_64_Debug
#
#############################################################################

##### Build flags

DEBUG         = 0

####### Compiler, tools and options

CXX           = g++
LINK          = g++
MAKE          = make
DELETEFILE    = rm -f
DEFINES       = -DQT_WEBKIT -DGL_GLEXT_PROTOTYPES
MD            = mkdir

####### Detect system architecture

SYSARCH       = i386
ifeq ($(shell uname -m),x86_64)
SYSARCH       = x86_64
endif

####### Paths

CUSTOM_PATH   = $(RELEASETYPE)/$(SYSARCH)


####### Detect debug or release

ifeq ($(DEBUG), 1)
	CXXFLAGS      = -pipe -DDEBUG -g $(DEFINES)
	RELEASETYPE   = Debug
else
	CXXFLAGS      = -pipe -O2 $(DEFINES)
	RELEASETYPE   = Release
endif

####### Compiler, tools and options

LIBOVRPATH    = ../../LibOVR
SRCPATH	      = .
COMMONSRCPATH = ../CommonSrc
3RDPARTYPATH  = ../../3rdParty
INCPATH       = -I. -I.. -I$(COMMONSRCPATH) -I$(LIBOVRPATH)/Include -I$(LIBOVRPATH)/Src
OBJPATH       = ./Obj/Linux/$(RELEASETYPE)/$(SYSARCH)
LFLAGS        = -O1 -L$(LIBOVRPATH)/Lib/Linux/$(RELEASETYPE)/$(SYSARCH)
LIBS          = $(SUBLIBS) -lovr -ludev -lpthread -lGL -lX11 -lXinerama
CXX_BUILD     = $(CXX) -c $(CXXFLAGS) $(INCPATH) -o $(OBJPATH)/

####### Files

# Filter out Windows and OSX files
COMMON_SRCPATH = ./Common

ALL_SRCS := $(shell find ${COMMONSRCPATH} -name "*.cpp")
ALL_SRCS += $(shell find . -name "*.cpp") 

CPP_SRCS = $(filter-out \
       $(COMMONSRCPATH)/Render/Render_D3D%.cpp \
       $(COMMONSRCPATH)/Render/Render_GL_GLUT%.cpp \
       $(COMMONSRCPATH)/Render/Render_GL_Win32%.cpp \
       $(COMMONSRCPATH)/Render/Render_SDL%.cpp \
       $(COMMONSRCPATH)/Platform/OSX_%.cpp \
       $(COMMONSRCPATH)/Platform/Win32_%.cpp \
       $(COMMONSRCPATH)/Platform/SDL_%.cpp \
       $(COMMONSRCPATH)/Platform/GLUT_%.cpp \
       , $(ALL_SRCS))

OBJECTS_1 = $(patsubst ${SRCPATH}/%.cpp, ${OBJPATH}/%.o, ${CPP_SRCS})
OBJECTS = $(patsubst ${COMMONSRCPATH}/%.cpp, ${OBJPATH}/%.o, ${OBJECTS_1})

DIRS = $(subst /,/,$(sort $(dir $(OBJECTS)))) ./Release

####### Files

TARGET        = ./Release/OculusWorldDemo_$(SYSARCH)_$(RELEASETYPE)

####### Rules

all: $(TARGET)

$(TARGET):  $(OBJECTS)
	mkdir -p $(DIRS)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

$(OBJPATH)/%.o: $(COMMONSRCPATH)/%.cpp
	mkdir -p $(DIRS)
	$(CXX_BUILD) -o "$@" "$<" 

$(OBJPATH)/%.o: $(SRCPATH)/%.cpp 
	mkdir -p $(DIRS)
	$(CXX_BUILD) -o "$@" "$<"

clean:
	-$(DELETEFILE) $(OBJECTS)
	-$(DELETEFILE) $(TARGET)

=== LibOVR/Projects/Linux/Makefile ===
#############################################################################
#
# Filename    : Makefile
# Content     : Makefile for building linux version of: libovr
# Created     : 2013
# Authors     : Simon Hallam and Peter Giokaris
# Copyright   : Copyright 2013 OculusVR, Inc. All Rights Reserved
# Instruction : The g++ compiler and stdndard lib packages need to be 
#               installed on the system.  Navigate in a shell to the 
#               directory where this Makefile is located and enter:
#
#               make                builds the release version for the 
#                                   current architechture
#               make clean          delete intermediate release object files 
#                                   and the library file
#               make DEBUG=1        builds the debug version for the current
#                                   architechture
#               make clean DEBUG=1  deletes intermediate debug object files 
#                                   and the library file
#
# Output      : Relative to the directory this Makefile lives in, libraries
#               are built at the following locations depending upon the
#               architechture of the system you are running:
#
#               ./Lib/Linux/Debug/i386/libovr.a
#               ./Lib/Linux/Debug/x86_64/libovr.a
#               ./Lib/Linux/Release/i386/libovr.a
#               ./Lib/Linux/Release/x86_64/libovr.a
#
#############################################################################

##### Build flags

DEBUG         = 0

####### Compiler, tools and options

CXX           = g++
LINK          = ar rvs
DELETEFILE    = rm -f
MD            = mkdir

####### Detect system architecture

SYSARCH       = i386
ifeq ($(shell uname -m),x86_64)
SYSARCH       = x86_64
endif

####### Detect debug or release

ifeq ($(DEBUG), 1)
	RELEASETYPE   = Debug
else
	RELEASETYPE   = Release
endif

####### Paths

CUSTOM_PATH   = $(RELEASETYPE)/$(SYSARCH)


ifeq ($(DEBUG), 1)
	CXXFLAGS      = -pipe -DDEBUG -g
else
	CXXFLAGS      = -pipe -O2
endif

####### Paths

OVR_ROOT      = ../../..
LIBOVRPATH    = $(OVR_ROOT)/LibOVR
3RDPARTYPATH  = $(OVR_ROOT)/3rdParty
INCPATH       = -I$(LIBOVRPATH)/Include -I$(LIBOVRPATH)/Src
SRCPATH       = $(LIBOVRPATH)/Src
OBJPATH       = $(LIBOVRPATH)/Obj/Linux/$(CUSTOM_PATH)
CXXBUILD      = $(CXX) -c $(CXXFLAGS) $(INCPATH) -o $(OBJPATH)/

TARGET_PATH   = $(LIBOVRPATH)/Lib/Linux/$(CUSTOM_PATH)


# Filter out Windows and OSX files
CPP_SRCS = $(filter-out \
       $(SRCPATH)/OVR_Win32%.cpp \
       ${SRCPATH}/OVR_OSX%.cpp \
       ${SRCPATH}/OVR_Posix%.cpp \
       ${SRCPATH}/Kernel/OVR_ThreadsWinAPI.cpp \
       , $(shell find ${SRCPATH} -name *.cpp)) \

####### Files

TARGET        = $(TARGET_PATH)/libovr.a

OBJECTS = $(patsubst ${SRCPATH}/%.cpp, ${OBJPATH}/%.o, ${CPP_SRCS}) $(OBJPATH)/tinyxml2.o
DIRS = $(subst /,/,$(sort $(dir $(OBJECTS))))

####### Rules

all:    $(TARGET)

$(TARGET):  $(TARGET_PATH) $(OBJECTS) $(LIBOVRTARGET_PATH)
	$(LINK) $(TARGET) $(OBJECTS)

$(TARGET_PATH): $(OBJPATH)
	$(MD) -p $(TARGET_PATH)

$(OBJPATH):
	$(MD) -p $(DIRS)

$(OBJPATH)/%.o: $(SRCPATH)/%.cpp
	$(CXXBUILD) -o "$@" "$<"

$(OBJPATH)/tinyxml2.o: $(3RDPARTYPATH)/TinyXml/tinyxml2.cpp 
	$(CXXBUILD) -o "$@" "$<" 

clean:
	-$(DELETEFILE) $(OBJECTS)
	-$(DELETEFILE) $(TARGET)

=== debian/changelog ===
ros-indigo-oculus-sdk (0.2.6-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 03 Sep 2015 16:32:40 -0000

ros-indigo-oculus-sdk (0.2.4-0trusty) trusty; urgency=high

  * Merge pull request #3 <https://github.com/ros-visualization/oculus_sdk/issues/3> from hgaiser/hydro-devel
    Compile fix for OSX
  * Correction to CMakeLists.txt for WorldDemo
  * Compile fix for OSX
  * install package.xml
  * Contributors: David Gossow, Hans Gaiser, William Woodall

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 11 Feb 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-oculus-sdk
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), cmake, freeglut3-dev, libudev-dev, libxext-dev, libxinerama-dev, mesa-common-dev
Homepage: https://developer.oculusvr.com
Standards-Version: 3.9.2

Package: ros-indigo-oculus-sdk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libudev-dev
Description: The Oculus Rift SDK

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-oculus-sdk//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
